<?xml version="1.0" encoding="UTF-8"?>
<!--
    Copyright 2015, 2018 Wave Informatica S.r.l..
   
    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at
   
         http://www.apache.org/licenses/LICENSE-2.0
     
    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
 -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.waveinformatica</groupId>
        <artifactId>ocean</artifactId>
        <version>2.5.0-SNAPSHOT</version>
        <relativePath>../</relativePath>
    </parent>
    <groupId>com.waveinformatica.ocean</groupId>
    <artifactId>classicWebApp</artifactId>
    <packaging>jar</packaging>

    <name>${project.artifactId}-${project.version}</name>
    
    <organization>
        <name>Wave Informatica S.r.l.</name>
        <url>http://www.waveinformatica.com</url>
    </organization>
    
    <licenses>
        <license>
            <name>Apache License, Version 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
            <distribution>repo</distribution>
            <comments>A business-friendly OSS license</comments>
        </license>
    </licenses>
    
    <dependencies>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>core</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>javax.servlet-api</artifactId>
            <version>3.1.0</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>
    <properties>
        <maven.compiler.source>1.6</maven.compiler.source>
        <maven.compiler.target>1.6</maven.compiler.target>
    </properties>
    <build>
        <plugins>
			<plugin>
				<groupId>com.waveinformatica.ocean</groupId>
				<artifactId>ocean-maven-plugin</artifactId>
				<version>${project.version}</version>
				<configuration>
					<projectPackage>${project.groupId}.${project.artifactId}</projectPackage>
				</configuration>
				<executions>
					<execution>
						<id>ocean-module</id>
						<goals>
							<goal>ocean-module</goal>
						</goals>
						<phase>validate</phase>
					</execution>
				</executions>
			</plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <source>1.6</source>
                    <target>1.6</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.3.2</version>
                <configuration>
                    <finalName>com.waveinformatica.ocean.classicWebApp</finalName>
                    <archive>
                        <manifestEntries>
                            <Module-Version>${project.version}</Module-Version>
                            <Module-Build>${maven.build.timestamp}</Module-Build>
                        </manifestEntries>
                    </archive>
                </configuration>
            </plugin>    
        </plugins>
    </build>
    <description>The classic J2EE application bridge. It allows to gradually convert your old J2EE applications to Ocean based applications, giving access to your servlets.</description>
</project>